Package org.eclipse.birt.report.engine.api

# Class DataExtractionOption

java.lang.Object
org.eclipse.birt.report.engine.api.TaskOption
org.eclipse.birt.report.engine.api.DataExtractionOption

All Implemented Interfaces:
  `IDataExtractionOption`, `IExtractionOption`, `ITaskOption`

public class DataExtractionOption extends TaskOption implements IDataExtractionOption
Handle extended extraction options

Since:
  3.3

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption

`options`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IDataExtractionOption

`ACTION_HANDLER, EXTENSION, IMAGE_HANDLER, INSTANCE_ID, LOCALE`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IExtractionOption

`OPTION_FORMATTER, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_STREAM`

## Constructor Summary

Constructors
Constructor
Description
`DataExtractionOption()`
Constructor 1
`DataExtractionOption(Map<String,Object> options)`
Constructor 2

## Method Summary

Modifier and Type
Method
Description
`IHTMLActionHandler`
`getActionHandler()`
`String`
`getExtension()`
Get extension.
`Map`
`getFormatter()`
Get the format option.
`IHTMLImageHandler`
`getImageHandler()`
`InstanceID`
`getInstanceID()`
`String`
`getOutputFile()`
Get output file name.
`String`
`getOutputFormat()`
Get output format.
`OutputStream`
`getOutputStream()`
Get output stream.
`void`
`setActionHandler(IHTMLActionHandler actionHandler)`
`void`
`setExtension(String extension)`
Set extension id.
`void`
`setFormatter(Map formatters)`
Set the formatters used to output the value.
`void`
`setImageHandler(IHTMLImageHandler imageHandler)`
`void`
`setInstanceID(InstanceID iid)`
`void`
`setOutputFile(String filename)`
Set output file.
`void`
`setOutputFormat(String format)`
Set output format.
`void`
`setOutputStream(OutputStream out)`
Set output stream.

### Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption

`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Constructor Details

### DataExtractionOption

public DataExtractionOption()
Constructor 1

### DataExtractionOption

public DataExtractionOption(Map<String,Object> options)
Constructor 2

Parameters:
  `options` - extraction option

## Method Details

### setExtension

public void setExtension(String extension)
Set extension id.

Specified by:
  `setExtension` in interface `IDataExtractionOption`
Parameters:
  `extension` - extension id.

### setOutputFile

public void setOutputFile(String filename)
Set output file.

Specified by:
  `setOutputFile` in interface `IExtractionOption`
Parameters:
  `filename` - name of the output file.

### setOutputFormat

public void setOutputFormat(String format)
Set output format.

Specified by:
  `setOutputFormat` in interface `IExtractionOption`
Parameters:
  `format` - output format.

### setOutputStream

public void setOutputStream(OutputStream out)
Set output stream.

Specified by:
  `setOutputStream` in interface `IExtractionOption`
Parameters:
  `out` - output stream.

### getExtension

public String getExtension()
Get extension.

Specified by:
  `getExtension` in interface `IDataExtractionOption`

### getOutputFile

public String getOutputFile()
Get output file name.

Specified by:
  `getOutputFile` in interface `IExtractionOption`

### getOutputFormat

public String getOutputFormat()
Get output format.

Specified by:
  `getOutputFormat` in interface `IExtractionOption`

### getOutputStream

public OutputStream getOutputStream()
Get output stream.

Specified by:
  `getOutputStream` in interface `IExtractionOption`

### getActionHandler

public IHTMLActionHandler getActionHandler()

Specified by:
  `getActionHandler` in interface `IDataExtractionOption`

### getImageHandler

public IHTMLImageHandler getImageHandler()

Specified by:
  `getImageHandler` in interface `IDataExtractionOption`

### getInstanceID

public InstanceID getInstanceID()

Specified by:
  `getInstanceID` in interface `IDataExtractionOption`

### setActionHandler

public void setActionHandler(IHTMLActionHandler actionHandler)

Specified by:
  `setActionHandler` in interface `IDataExtractionOption`

### setImageHandler

public void setImageHandler(IHTMLImageHandler imageHandler)

Specified by:
  `setImageHandler` in interface `IDataExtractionOption`

### setInstanceID

public void setInstanceID(InstanceID iid)

Specified by:
  `setInstanceID` in interface `IDataExtractionOption`

### setFormatter

public void setFormatter(Map formatters)
Description copied from interface: `IExtractionOption`
Set the formatters used to output the value. The format option is a hash map, the key can be the column name or column index (start from 1), the value should be a format pattern. If no format is defined, the value should be outputted as current implementation.

Specified by:
  `setFormatter` in interface `IExtractionOption`
Parameters:
  `formatters` -

### getFormatter

public Map getFormatter()
Description copied from interface: `IExtractionOption`
Get the format option.

Specified by:
  `getFormatter` in interface `IExtractionOption`
Returns: